E-MailRelay

Public Member Functions | List of all members
GSmtp::MessageStore::Iterator Struct Referenceabstract

A base class for GSmtp::MessageStore iterators. More...

`#include <gmessagestore.h>`

Inheritance diagram for GSmtp::MessageStore::Iterator:

## Public Member Functions
virtual std::unique_ptr< StoredMessage > | next ()=0
| Returns the next stored message or a null pointer.
virtual | ~Iterator ()=default
| Destructor.

## Detailed Description

A base class for GSmtp::MessageStore iterators.

Definition at line 75 of file gmessagestore.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gmessagestore.h